---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 3G
kernel-selftests:
  group: group-02
kernel_cmdline: sysctl.debug.test_sysctl.boot_int=1
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-02-debian-12-x86_64-20240206.cgz-fcbc96276c22-20240822-218968-zxz1cb-0.yaml"
id: 20abca2b7ac58a6d6b505393215d75300096fd1a
queuer_version: "/zday/lkp"

#! /db/releases/20240813114533/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240813114533/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20240813114533/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240813114533/lkp-src/include/queue/cyclic
commit: fcbc96276c22a1d146eaac0cff24b8149c2d967a

#! /db/releases/20240813114533/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

# for sysctl

#! /db/releases/20240813114533/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- FUSE_FS: m
- IPV6_MULTIPLE_TABLES: y
- MISC_FILESYSTEMS: y
- MPTCP: y
- MPTCP_IPV6: y
- NET_FOU
- NET_FOU_IP_TUNNELS: y
- NET_L3_MASTER_DEV: y
- NET_SCH_NETEM
- NET_VRF: y
- NF_FLOW_TABLE: m
- NF_FLOW_TABLE_INET: m
- NF_FLOW_TABLE_IPV4: m
- NF_FLOW_TABLE_IPV6: m
- NF_TABLES_NETDEV: y
- PROC_FS: y
- PSTORE: y
- PSTORE_CONSOLE: y
- PSTORE_PMSG: y
- PSTORE_RAM: m
- SECCOMP: y
- SECCOMP_FILTER: y
- TEST_BLACKHOLE_DEV: m
- UTS_NS: y
- VETH
- X86_CPU_RESCTRL: y
- NFC: m
- NFC_NCI: m
- NFC_VIRTUAL_NCI: m
- ANON_VMA_NAME: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-08-22 04:53:14.744193099 +08:00
_rt: "/result/kernel-selftests/group-02/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a"
compiler: gcc-12
head_commit: 3abe4e1e288aee33d6c9736e8db34b71c2f6a82d
base_commit: 7c626ce4bae1ac14f60076d00eafe71af30450ba
branch: linux-devel/devel-hourly-20240815-184448
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240808-144501"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/group-02/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/vmlinuz-6.11.0-rc1-00028-gfcbc96276c22
- branch=linux-devel/devel-hourly-20240815-184448
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-02-debian-12-x86_64-20240206.cgz-fcbc96276c22-20240822-218968-zxz1cb-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=fcbc96276c22a1d146eaac0cff24b8149c2d967a
- sysctl.debug.test_sysctl.boot_int=1
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240813114533/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-02-debian-12-x86_64-20240206.cgz-fcbc96276c22-20240822-218968-zxz1cb-0.cgz"
last_kernel: 5.13.0-rc1

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/vmlinuz-6.11.0-rc1-00028-gfcbc96276c22"
result_root: "/result/kernel-selftests/group-02/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fcbc96276c22a1d146eaac0cff24b8149c2d967a/0"
dequeue_time: 2024-08-22 06:14:49.948288829 +08:00
job_state: finished
loadavg: 1.56 4.35 2.51 1/408 13226
start_time: '1724278601'
end_time: '1724279224'
version: "/lkp/lkp/.src-20240808-144501:e35bd1203041:826807ed2b16"
